%define name	fluidsynth
%define version	1.0.6
%define release 1mdk

%define major	1
%define libname %mklibname %name %major

Name: 	 	%{name}
Summary: 	Realtime, SoundFont-based synthesizer
Version: 	%{version}
Release: 	%{release}

Source:		http://savannah.nongnu.org/download/fluid/%{name}-%{version}.tar.bz2
URL:		http://www.fluidsynth.org/
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	jackit-devel ladspa-devel libalsa-devel ncurses-devel
BuildRequires:	pkgconfig e2fsprogs-devel

%description
FluidSynth is a real-time software synthesizer based on the SoundFont 2
specifications. It is a "software synthesizer". FluidSynth can read MIDI
events from the MIDI input device and render them to the audio device. It
can also play MIDI files.

%package -n 	%{libname}
Summary:        Dynamic libraries from %name
Group:          System/Libraries

%description -n %{libname}
Dynamic libraries from %name.

%package -n 	%{libname}-devel
Summary: 	Header files and static libraries from %name
Group: 		Development/C
Requires: 	%{libname} >= %{version}
Provides: 	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release} 
Obsoletes: 	%name-devel

%description -n %{libname}-devel
Libraries and includes files for developing programs based on %name.

%prep
%setup -q

%build
%configure2_5x --enable-ladspa --enable-jack-support --disable-ladcca
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README
%{_bindir}/%name
%{_mandir}/man1/%name.1.*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/*.h
%{_includedir}/%name
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/%name.pc

%changelog
* Sun Jun 12 2005 Austin Acton <austin@mandriva.org> 1.0.6-1mdk
- 1.0.6
- source URL

* Sun Feb 6 2005 Austin Acton <austin@mandrake.org> 1.0.5-2mdk
- rebuild for readline

* Fri Aug 20 2004 Austin Acton <austin@mandrake.org> 1.0.5-1mdk
- 1.0.5
- configure 2.5

* Thu Nov 6 2003 Austin Acton <aacton@yorku.ca> 1.0.3-2mdk
- rebuild without ladcca until it works

* Thu Aug 28 2003 Austin Acton <aacton@yorku.ca> 1.0.3-1mdk
- 1.0.3

* Tue Jul 15 2003 Austin Acton <aacton@yorku.ca> 1.0.2-3mdk
- DIRM

* Mon Jul 14 2003 Austin Acton <aacton@yorku.ca> 1.0.2-2mdk
- rebuild for rpm

* Mon Jun 23 2003 Austin Acton <aacton@yorku.ca> 1.0.2-1mdk
- 1.0.2

* Thu May 22 2003 Austin Acton <aacton@yorku.ca> 1.0.1-2mdk
- add .so symbolic link

* Wed May 21 2003 Austin Acton <aacton@yorku.ca> 1.0.1-1mdk
- initial package
